package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_TABLECLOUNMINFO"
)
public class TableClounmInfo extends TBaseEntity {
   private String clounmName;
   private String clounmType;
   private String clounmLength;
   private String isPK;
   private String isFK;
   private String fkTableName;
   private String fkClounmName;
   private String tableJoinsId;

   public String getClounmName() {
      return this.clounmName;
   }

   public void setClounmName(String clounmName) {
      this.clounmName = clounmName;
   }

   public String getClounmType() {
      return this.clounmType;
   }

   public void setClounmType(String clounmType) {
      this.clounmType = clounmType;
   }

   public String getClounmLength() {
      return this.clounmLength;
   }

   public void setClounmLength(String clounmLength) {
      this.clounmLength = clounmLength;
   }

   public String getIsPK() {
      return this.isPK;
   }

   public void setIsPK(String isPK) {
      this.isPK = isPK;
   }

   public String getIsFK() {
      return this.isFK;
   }

   public void setIsFK(String isFK) {
      this.isFK = isFK;
   }

   public String getFkTableName() {
      return this.fkTableName;
   }

   public void setFkTableName(String fkTableName) {
      this.fkTableName = fkTableName;
   }

   public String getFkClounmName() {
      return this.fkClounmName;
   }

   public void setFkClounmName(String fkClounmName) {
      this.fkClounmName = fkClounmName;
   }

   public String getTableJoinsId() {
      return this.tableJoinsId;
   }

   public void setTableJoinsId(String tableJoinsId) {
      this.tableJoinsId = tableJoinsId;
   }
}
